org.eclipse.emf.compare.merge

## Class ResourceLocationChangeMerger

- java.lang.Object
- - org.eclipse.emf.compare.merge.AbstractMerger
  - - org.eclipse.emf.compare.merge.ResourceLocationChangeMerger

All Implemented Interfaces:
  IMergeCriterionAware, IMergeOptionAware, IMerger, IMerger2

Deprecated.
`ResourceLocationChange`s have been replaced by `ResourceAttachmentChange`s of kind Move.

    @Deprecated
    public class ResourceLocationChangeMerger
    extends AbstractMerger

This specific implementation of `AbstractMerger` will be used to merge resource location changes.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.merge.IMerger

`IMerger.Registry, IMerger.Registry2, IMerger.RegistryImpl`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.merge.AbstractMerger

`mergeOptions, SUB_DIFF_AWARE_OPTION`

### Constructor Summary

Constructors
Constructor and Description
`ResourceLocationChangeMerger()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `accept(Diff diff, boolean rightToLeft)` Deprecated. Accept the given difference.
`boolean` `isMergerFor(Diff target)` Deprecated. Check if the merger is a good candidate to merge the given difference.
`protected void` `reject(Diff diff, boolean rightToLeft)` Deprecated. Reject the given difference.

### Methods inherited from class org.eclipse.emf.compare.merge.AbstractMerger

`addAt, apply, copyDiff, copyLeftToRight, copyRightToLeft, createCopy, getDirectMergeDependencies, getDirectResultingMerges, getDirectResultingRejections, getImpliedMerges, getLogicallyResultingMerges, getMergeOptions, getMergerDelegate, getMergerDelegate, getRanking, getRegistry, isAccepting, isAdd, isInTerminalState, isSet, isUnset, mergeDiff, setMergeOptions, setRanking, setRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceLocationChangeMerger

    public ResourceLocationChangeMerger()

Deprecated.

### Method Detail

#### isMergerFor

    public boolean isMergerFor(Diff target)

Deprecated.
Check if the merger is a good candidate to merge the given difference.

Parameters:
  `target` - The given target difference.
Returns:
  True if it is the good candidate, false otherwise.
See Also:
  `IMerger.isMergerFor(org.eclipse.emf.compare.Diff)`

#### accept

    protected void accept(Diff diff,
                          boolean rightToLeft)

Deprecated.
Description copied from class: `AbstractMerger`
Accept the given difference. This may be overridden by clients.

Overrides:
  `accept` in class `AbstractMerger`
Parameters:
  `diff` - the difference to merge
  `rightToLeft` - the direction of the merge

#### reject

    protected void reject(Diff diff,
                          boolean rightToLeft)

Deprecated.
Description copied from class: `AbstractMerger`
Reject the given difference. This may be overridden by clients.

Overrides:
  `reject` in class `AbstractMerger`
Parameters:
  `diff` - the difference to merge
  `rightToLeft` - the direction of the merge